//
//  ViewController.swift
//  IOS02_IOS基本控件
//
//  Created by lee on 2017/12/21.
//  Copyright © 2017年 物联网入门视频教程-IOS部分. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    var lable: UILabel!
    var button: UIButton!
    var swit: UISwitch!
    private var count = 0
    private var data = 0
    
    override func viewDidLoad() {
        super.viewDidLoad()
       
        lable = UILabel()
        lable.frame = CGRect(x: 50, y: 50, width: 100, height: 30)
        //显示文字
        lable.text = "0"
        //设置背景颜色
        lable.backgroundColor = UIColor.red
        
        //设置文本显示字体
        lable.font = UIFont.systemFont(ofSize: 15)
        
        //设置字体颜色
        lable.textColor = UIColor.blue
        //将UILable添加到view
        view.addSubview(lable)
        
        //实例化UIButton
        button = UIButton()
        
        //指定UIButton的位置和大小
        button.frame = CGRect(x: 50, y: 100, width: 200, height: 30)
        
        //给UIButton添加文字
        button.setTitle("按钮", for: UIControlState.normal)
        
        //设置背景颜色
        button.backgroundColor = UIColor.green
        
        //给UIButton绑定到监听器
        button.addTarget(self, action: #selector(buttonClick), for: UIControlEvents.touchUpInside)
        
        view.addSubview(button)
        
        swit = UISwitch()
        
        swit.frame = CGRect(x: 50, y: 150, width: 100, height: 30)
        
        swit.addTarget(self, action: #selector(switClick), for: UIControlEvents.valueChanged)
        
        view.addSubview(swit)
    }

    //UIButton的监听方法
    func buttonClick(){
    
        count = count + data
        
        lable.text = String(count)
    }

    //UISwitch的监听方法
    func switClick(){
    
        let swit_state: Bool = swit.isOn
        if(swit_state == true)
        {
        
            data = 1
        }else{
            data = -1
        }
    }

}

